sp.vcov {mgcv} | R Documentation

## Extract smoothing parameter estimator covariance matrix from (RE)ML GAM fit

### Description

Extracts the estimated covariance matrix for the log smoothing parameter estimates from a (RE)ML estimated `gam` object, provided the fit was with a method that evaluated the required Hessian.

### Usage

    sp.vcov(x)

### Arguments

`x` | a fitted model object of class `gam` as produced by `gam()`.

### Details

Just extracts the inverse of the hessian matrix of the negative (restricted) log likelihood w.r.t the log smoothing parameters, if this has been obtained as part of fitting.

### Value

A matrix corresponding to the estimated covariance matrix of the log smoothing parameter estimators, if this can be extracted, otherwise `NULL`. If the scale parameter has been (RE)ML estimated (i.e. if the method was `"ML"` or `"REML"` and the scale parameter was unknown) then the last row and column relate to the log scale parameter.

### Author(s)

Simon N. Wood simon.wood@r-project.org

### References

Wood, S.N. (2006) On confidence intervals for generalized additive models based on penalized regression splines. Australian and New Zealand Journal of Statistics. 48(4): 445-464.

### See Also

`gam`, `gam.vcomp`

### Examples

    n <- 100
    x <- runif(n);z <- runif(n)
    y <- sin(x*2*pi) + rnorm(n)*.2
    mod <- gam(y~s(x,bs="cc",k=10)+s(z),knots=list(x=seq(0,1,length=10)),
               method="REML")
    sp.vcov(mod)

[Package mgcv version 1.7-18 Index]